# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包更新验证,2264,2264-17,sit,bs
主数据平台:运营后台管理系统套包列表查询和套包更新等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行套包列表获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 第三步进行套包更新验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url14")
request_body = result["data"]["list"][0]

"""
 场景:套包更新验证
 用例名称：套包更新验证
 输出：{"success":true,"code":"200","message":"OK","data":true,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict17")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
